/**
 * Demo of bud project.
 * @memberof module:apeman-demo-bud/lib
 * @function setup
 * @param {object} params - Template params.
 * @returns {object} - Coz bud configuration.
 */

'use strict'

const argx = require('argx')
const fs = require('fs')
const _bud = require('./_bud')

/** @lends setup */
function setup (params) {
  let args = argx(arguments)
  params = args.shift('object') || {}

  let tmpl = fs.readFileSync(`${__dirname}/../asset/tmpl.hbs`).toString()

  return _bud(tmpl, params)
}

module.exports = setup
